libzypp: zyppng::sat::Capabilities::const_iterator Class Reference

libzypp 17.38.6

zyppng::sat::Capabilities::const_iterator Class Reference

Capabilities iterator. More...

`#include <zypp/ng/sat/capabilities.h>`

Inheritance diagram for zyppng::sat::Capabilities::const_iterator:

## Public Member Functions
| const_iterator ()
| const_iterator (const sat::detail::IdType *_idx)
bool | tagged () const
| Return `true` if the Capability is `tagged`.

## Private Member Functions
reference | dereference () const
template<class OtherDerived, class OtherIterator, class V, class C, class R, class D>
bool | equal (const boost::iterator_adaptor< OtherDerived, OtherIterator, V, C, R, D > &rhs) const
void | increment ()

## Private Attributes
zypp::DefaultIntegral< bool, false > | _tagged

## Friends
class | boost::iterator_core_access

## Detailed Description

Capabilities iterator.

Definition at line 90 of file capabilities.h.

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/2]

zyppng::sat::Capabilities::const_iterator::const_iterator | ( |  | ) |
| inline

Definition at line 99 of file capabilities.h.

## ◆ const_iterator() [2/2]

zyppng::sat::Capabilities::const_iterator::const_iterator | ( | const sat::detail::IdType * | _idx | ) |
| inlineexplicit

Definition at line 103 of file capabilities.h.

## Member Function Documentation

## ◆ tagged()

bool zyppng::sat::Capabilities::const_iterator::tagged | ( |  | ) | const
| inline

Return `true` if the Capability is `tagged`.

The meaning of `tagged` depends on the kind of dependency you are processing. It is a hint that the iteratir skipped some internal marker, indicating that subsequent cabailities have a special property. Within a Solvables requirements e.g. the pre-requirements are tagged.

Capabilities req( solvable.requires() );
for_( it, req.begin(), req.end() )
{
if ( it.tagged() )
cout << *it << " (is prereq)" << endl;
else
cout << *it << endl;
}
for_
#define for_(IT, BEG, END)
Convenient for-loops using iterator.
Definition Easy.h:27
zyppng::sat::Capabilities::Capabilities
Capabilities()
Default ctor.
Definition capabilities.h:40

Definition at line 131 of file capabilities.h.

## ◆ dereference()

reference zyppng::sat::Capabilities::const_iterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 136 of file capabilities.h.

## ◆ equal()

template<class OtherDerived, class OtherIterator, class V, class C, class R, class D>

bool zyppng::sat::Capabilities::const_iterator::equal | ( | const boost::iterator_adaptor< OtherDerived, OtherIterator, V, C, R, D > & | rhs | ) | const
| inlineprivate

Definition at line 140 of file capabilities.h.

## ◆ increment()

void zyppng::sat::Capabilities::const_iterator::increment | ( |  | ) |
| inlineprivate

Definition at line 147 of file capabilities.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 134 of file capabilities.h.

## Member Data Documentation

## ◆ _tagged

zypp::DefaultIntegral<bool,false> zyppng::sat::Capabilities::const_iterator::_tagged
| private

Definition at line 157 of file capabilities.h.

The documentation for this class was generated from the following file:

- zypp/ng/sat/capabilities.h